Media API Reference

Media Importer and Storage Service

Jobs

This exposition provides access to the job records in the system.
It allows you to view, delete, and signal jobs.
You can also filter jobs by various attributes such as status, priority, and scheduled time.

get /jobs/{resource_id} - show

Description

Show a specific media:jobs

Parameters

Name In Type Required Description
resource_id path string Required -
included query array Optional -
fields query string Optional -

Response

200

Successful response

delete /jobs/{resource_id} - delete

Description

Delete the media:jobs

Parameters

Name In Type Required Description
resource_id path string Required -

Response

204

No content

get /jobs - index

Description

Return a paginated list of media:jobs

Parameters

Name In Type Required Description
page[number] query integer Optional

The page number, default to 1

page[size] query integer Optional

The number of items per page, default to 1000

sort query string Optional

The sort order, comma separated list of fields. See sorting section for more details

count query boolean Optional

Set to true to return the total number of items in the collection

filter[id] query any Optional -
filter[job_class] query any Optional -
filter[priority] query any Optional -
filter[status] query any Optional -
filter[progress] query any Optional -
filter[retry_count] query any Optional -
filter[error] query any Optional -
filter[unicity] query any Optional -
filter[scheduled_at] query any Optional -
filter[created_at] query any Optional -
filter[updated_at] query any Optional -
filter[id__in] query any Optional -
filter[job_class__in] query any Optional -
filter[priority__gte] query any Optional -
filter[priority__lte] query any Optional -
filter[status__in] query any Optional -
filter[retry_count__gte] query any Optional -
filter[retry_count__lte] query any Optional -
filter[scheduled_at__gte] query any Optional -
filter[scheduled_at__lte] query any Optional -
filter[created_at__gte] query any Optional -
filter[created_at__lte] query any Optional -
filter[updated_at__gte] query any Optional -
filter[updated_at__lte] query any Optional -
fields query string Optional

The fields to include in the response.
The key is the resource type and the value is an array of fields.

Response

200

Successful response

Medias

This exposition provides access to the media records in the system.

get /medias - index

Description

Return a paginated list of media:medias

Parameters

Name In Type Required Description
page[number] query integer Optional

The page number, default to 1

page[size] query integer Optional

The number of items per page, default to 1000

sort query string Optional

The sort order, comma separated list of fields. See sorting section for more details

count query boolean Optional

Set to true to return the total number of items in the collection

filter[id] query any Optional -
filter[resource] query any Optional -
filter[key] query any Optional -
filter[filename] query any Optional -
filter[size] query any Optional -
filter[mime_type] query any Optional -
filter[created_by] query any Optional -
filter[created_role] query any Optional -
filter[public] query any Optional -
filter[created_at] query any Optional -
filter[updated_at] query any Optional -
filter[project_id] query any Optional -
fields query string Optional

The fields to include in the response.
The key is the resource type and the value is an array of fields.

Response

200

Successful response

get /medias/info/{resource}(/{key})? - info

Description

Get Media Info by ID and Key

This endpoint retrieves the metadata of a media record by its ID and optional key.

Parameters

Name In Type Required Description
resource path string Required -
key path string Optional -

Response

204

No content

get /medias/files/{resource}(/{key})? - download

Description

Get Media by ID and Key

This endpoint retrieves a media record by its ID and optional key.

Parameters

Name In Type Required Description
resource path string Required -
key path string Optional -

Response

204

No content

post /medias/files/{resource}(/{key})? - upload

Description

Upload Media

This endpoint allows you to upload a media file.
It expect form-data with a file field named media.

Parameters

Name In Type Required Description
resource path string Required -
key path string Optional -

Request Body

Response

200

Successful response